<script setup>
defineProps({
    item: Object,
    cardWidth: String,
    marginClass: String
})
</script>

<template>
    <v-card :class="`px-0 carousel__item ${marginClass}`" :width="cardWidth">
        <template v-slot:loader="{ isActive }">
            <v-progress-linear :active="isActive" color="deep-purple" height="4" indeterminate></v-progress-linear>
        </template>
        <div class="position-relative">
            <v-img cover height="175" :src="item.featured_image" class="bg-indigo"></v-img>
            <div class="position-absolute box">
                <div class="position-absolute text-white shape">
                    <svg viewBox="0 0 2880 480" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd" clip-rule="evenodd"
                            d="M2160 0C1440 240 720 240 720 240H0v240h2880V0h-720z" fill="currentColor">
                        </path>
                    </svg>
                </div>
            </div>
        </div>
        <v-card-item class="position-relative pt-0">
            <v-card-title style="font-size: 18px;overflow: hidden;display: -webkit-box;text-overflow: ellipsis;">
                {{ item.title }}
            </v-card-title>
        </v-card-item>

        <v-card-text>
            <div>{{ item.summery }}</div>
        </v-card-text>
        <v-card-actions class="d-block">
            <div class="d-flex justify-space-between pt-3">
                <v-card-subtitle>
                    <time>1402/02/27</time>
                </v-card-subtitle>
                <v-card-subtitle>
                    دسته بندی
                </v-card-subtitle>
            </div>
            <NuxtLink :to="`/blogs/${item.slug}`">
                <v-btn class="mr-1" color="blue">
                    بیشتر
                    <BootstrapIcon class="mt-1" name="arrow-left-short" />
                </v-btn>
            </NuxtLink>
        </v-card-actions>
    </v-card>
</template>

<style lang="scss">
.carousel__item {

    .box {
        top: 113px;
        width: 100%;
        transform: scaleX(-1);

        .shape {
            left: 0;
            right: 0;
            top: 0;
            bottom: 0;

            &>* {
                -webkit-transform: scale(2);
                transform: scale(2);
                width: 100%;
                height: auto;
                -webkit-transform-origin: top center;
                transform-origin: top center;
                display: block;
                color: #fff;
            }
        }
    }

    a {
        text-decoration: none;
    }

    @media only screen and (max-width: 360px) {
        .v-card-title {
            font-size: 14px !important;
        }
    }

}
</style>